[Pkg-ocaml-maint-commits] [SCM] dh-ocaml packaging branch, master, updated. debian/0.4.1-35-geb5a293

Sylvain Le Gall gildor at debian.org
Fri Jul 17 13:59:58 UTC 2009


The following commit has been merged in the master branch:
commit eb5a293a405af69c713e6c42e4c03107ec9b0816
Author: Sylvain Le Gall <gildor at debian.org>
Date:   Fri Jul 17 13:52:03 2009 +0000

    Add dom-switch-opt to test byte compilation on native arch

diff --git a/debian/changelog b/debian/changelog
index bb5e805..e4a2867 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -20,6 +20,9 @@ dh-ocaml (0.4.2) UNRELEASED; urgency=low
   * Add a section on setting the archive section of ocaml programs.
   * Set Section to ocaml
 
+  [ Sylvain Le Gall ]
+  * Add dom-switch-opt to test byte compilation on native arch
+
  -- Stephane Glondu <steph at glondu.net>  Thu, 18 Jun 2009 18:30:10 +0200
 
 dh-ocaml (0.4.1) unstable; urgency=low
diff --git a/tools/dom-switch-opt b/tools/dom-switch-opt
new file mode 100755
index 0000000..a16d326
--- /dev/null
+++ b/tools/dom-switch-opt
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+#
+# Description: rename native compiler executable to test byte compilation on
+# native arch
+#
+# Copyright © 2009 Sylvain Le Gall <gildor at debian.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA.
+#
+
+set -e
+
+for i in \
+  /usr/share/ocaml-findlib/ocaml-native-compilers.conf \
+  /usr/bin/ocamlopt \
+  /usr/bin/camlp4of.opt \
+  /usr/bin/camlp4oof.opt \
+  /usr/bin/camlp4o.opt \
+  /usr/bin/camlp4orf.opt \
+  /usr/bin/camlp4rf.opt \
+  /usr/bin/camlp4r.opt \
+  /usr/bin/ocamlc.opt \
+  /usr/bin/ocamldep.opt \
+  /usr/bin/ocamldoc.opt \
+  /usr/bin/ocamllex.opt \
+  /usr/bin/ocamlopt.opt; do 
+  if [ -f $i ] ; then
+    echo Rename $i
+    sudo mv $i $i-old
+  elif [ -f $i-old ] ; then
+    echo Rename $i-old
+    sudo mv $i-old $i
+  fi
+done
+

-- 
dh-ocaml packaging



More information about the Pkg-ocaml-maint-commits mailing list